#define snap    3
%define rel	1

%define cleanerml_snap	20151210

Name:		bleachbit
Version:	1.8
%if 0%{?snap:1}
Release:        %mkrel -c beta%{snap} %{rel}
%else
Release:        %mkrel %{rel}
%endif
Summary:	Remove unnecessary files, free space, and maintain privacy
License:	GPLv3+
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
Requires:	gnome-python
Requires:	pygtk2.0
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	bleachbit.png
# provides additional cleaner plugins, taken from https://github.com/az0/cleanerml via
# rm -rf cleanerml && git clone https://github.com/az0/cleanerml.git && cd cleanerml
# git archive --prefix=cleanerml-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../cleanerml-$(date +%Y%m%d).tar.xz
Source2:	cleanerml-%{cleanerml_snap}.tar.xz
Group:		System/Configuration
BuildArch:	noarch
URL:		http://bleachbit.sourceforge.net/

%description
BleachBit deletes unnecessary files to free valuable disk space, maintain 
privacy, and remove junk. Rid your system of old clutter including cache, 
cookies, Internet history, localizations, logs, temporary files, and broken 
shortcuts. It wipes clean the cache and history list of many common programs. 

%prep
%setup -a 2 -qn %{name}-%{version}

%build
make -C po local 
python setup.py build

%install
make DESTDIR=%{buildroot} INSTALL="install -p" install \
 prefix=%{_prefix}

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
# remove shebang as those files are not executable and not meant to be run by users
sed -i -e '/^#!\//, 1d' %{buildroot}%{_datadir}/%{name}/CLI.py
sed -i -e '/^#!\//, 1d' %{buildroot}%{_datadir}/%{name}/GUI.py
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png

# install additional released cleaner plugins from cleanerml snapshot
install -m 644 cleanerml-%{cleanerml_snap}/release/*.xml %{buildroot}%{_datadir}/%{name}/cleaners

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%exclude %{_datadir}/%{name}/Windows.py*


%changelog
* Thu Dec 10 2015 doktor5000 <doktor5000> 1.8-1.mga6
+ Revision: 909300
- new version 1.8
- updated cleanerml plugins snapshot

* Thu Dec 04 2014 doktor5000 <doktor5000> 1.6-1.mga5
+ Revision: 801516
- added additional released cleanerml plugins
  o taken from https://github.com/az0/cleanerml
- new stable version 1.6
- added conditional handling for prerelease versions

* Wed Oct 15 2014 umeabot <umeabot> 1.3-0.beta.3.mga5
+ Revision: 745376
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-0.beta.2.mga5
+ Revision: 678170
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 dams <dams> 1.3-0.beta.1.mga5
+ Revision: 664360
- new version: beta 1.3

* Sat Jun 28 2014 pterjan <pterjan> 1.2-1.mga5
+ Revision: 640906
- 1.2

* Mon Dec 23 2013 dams <dams> 1.0-1.mga4
+ Revision: 560211
- new version 1.0 final

* Tue Oct 22 2013 umeabot <umeabot> 1.0-0.beta2.2.mga4
+ Revision: 545061
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dams <dams> 1.0-0.beta2.1.mga4
+ Revision: 500722
- new version 1.0 (beta2)

* Mon Jul 22 2013 dams <dams> 0.9.6-1.mga4
+ Revision: 457157
- new version 0.9.6

* Tue Mar 26 2013 dams <dams> 0.9.5-1.mga3
+ Revision: 405330
- new version 0.9.5
- new icon for a better rendering in GNOME 3

* Wed Jan 23 2013 fwang <fwang> 0.9.3-4.mga3
+ Revision: 391394
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 0.9.3-3.mga3
+ Revision: 346913
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 0.9.3-2.mga3
+ Revision: 324344
- rebuild for Mga3 Beta1

* Sat Aug 25 2012 kamil <kamil> 0.9.3-1.mga3
+ Revision: 283795
- new version 0.9.3

* Thu Apr 05 2012 kamil <kamil> 0.9.2-2.mga2
+ Revision: 228736
- fix requirements against Mageia packages (gnome-python2 -> gnome-python and pygtk2 -> pygtk2.0)

* Thu Apr 05 2012 kamil <kamil> 0.9.2-1.mga2
+ Revision: 228722
- new version 0.9.2
- adapt .spec for Mageia
- imported package bleachbit


* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 22 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.8.7-1
- http://bleachbit.sourceforge.net/news/bleachbit-087

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 29 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.8.4-1
- http://bleachbit.sourceforge.net/news/bleachbit-084

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 0.8.0-2
- recompiling .py files against Python 2.7 (rhbz#623279)

* Tue Jun 08 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.8.0-1
- http://bleachbit.sourceforge.net/news/bleachbit-080-released

* Tue Feb 23 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7.3-1
- http://bleachbit.sourceforge.net/news/bleachbit-073-released

* Thu Nov 26 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7.1-1
* http://bleachbit.sourceforge.net/news/bleachbit-071-released

* Fri Oct 23 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7.0-1
- http://bleachbit.sourceforge.net/news/bleachbit-070-released

* Thu Oct 01 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.6.5-1
- Support for cleaning Google Chrome
- http://bleachbit.sourceforge.net/news/bleachbit-065-released

* Wed Sep 23 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.6.4-1
- Updated directly from 0.6.1. Upstream skipped 0.6.2 release
- http://bleachbit.blogspot.com/2009/08/bleachbit-063-released.html
- http://bleachbit.sourceforge.net/news/bleachbit-064-released

* Tue Aug 18 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.6.1-1
- new upstream release
- http://bleachbit.blogspot.com/2009/08/bleachbit-061-released.html

* Mon Aug 03 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.6.0-1
- new upstream release
- http://bleachbit.blogspot.com/2009/08/bleachbit-cleaner-060-released.html

* Fri Jul 25 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.5.4-3
- Fix timestamp, add dist tag

* Sat Jul 18 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.5.4-2
- Fix review issues

* Sat Jul 18 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.5.4-1
- initial spec
